#!/bin/sh

generic_mpiexec() {

        #check if Marmot should be used
        if test "x$I2G_USE_MARMOT" = "x1" ; then
		MARMOT_INSTALLATION=/opt/i2g/marmot
		export LD_PRELOAD="$MARMOT_INSTALLATION/lib/shared/libmarmot-profile.so $MARMOT_INSTALLATION/lib/shared/libmarmot-core.so /usr/lib/libstdc++.so.5"
	fi
	if test "x$I2G_USE_MPITRACE" = "x1" ; then
		MPITRACE_INSTALLATION=/opt/i2g/mpitrace
		MPIEXEC="$MPITRACE_INSTALLATION/bin/mpitrace $MPIEXEC"
	fi
        CMD="$I2G_MPI_PRECOMMAND  $MPIEXEC  $MPI_SPECIFIC_PARAMS $I2G_MACHINEFILE_AND_NP $I2G_MPI_APPLICATION $I2G_MPI_APPLICATION_ARGS"
	debug_msg "=> MPI_SPECIFIC_PARAMS=$MPI_SPECIFIC_PARAMS"
        debug_msg $CMD
        $CMD
        err=$?
	return $err
}
